<?php

add_action( 'admin_menu', 'katib_writers_gettingstarted' );
function katib_writers_gettingstarted() {
	add_theme_page( esc_html__('About Theme', 'katib-writers'), esc_html__('About Theme', 'katib-writers'), 'edit_theme_options', 'katib-writers-guide-page', 'katib_writers_guide');   
}

function katib_writers_admin_theme_style() {
   wp_enqueue_style('katib-writers-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/get_started_info.css');
   wp_enqueue_script('tabs', esc_url(get_template_directory_uri()) . '/inc/dashboard/js/tab.js');
}
add_action('admin_enqueue_scripts', 'katib_writers_admin_theme_style');

function katib_writers_notice(){
    global $pagenow;
    if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {?>
    <div class="notice notice-success is-dismissible getting_started">
		<div class="notice-content">
			<h2><?php esc_html_e( 'Thanks for installing Katib Writers Lite Theme', 'katib-writers' ) ?> </h2>
			<p><?php esc_html_e( "Please Click on the link below to know the theme setup information", 'katib-writers' ) ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=katib-writers-guide-page' ) ); ?>" class="button button-primary"><?php esc_html_e( 'Get Started ', 'katib-writers' ); ?></a></p>
		</div>
	</div>
	<?php }
}
add_action('admin_notices', 'katib_writers_notice');


/**
 * Theme Info Page
 */
function katib_writers_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'katib-writers' ); ?>

	<div class="wrap getting-started">
		<div class="getting-started__header">
				<div class="intro">
					<div class="pad-box">
						<h2 align="center"><?php esc_html_e( 'Welcome to Katib Writers Theme', 'katib-writers' ); ?>
						<span class="version" align="center">Version: <?php echo esc_html($theme['Version']);?></span></h2>	
						</span>
						<div class="powered-by">
							<p align="center"><strong><?php esc_html_e( 'Theme created by ThemesEye', 'katib-writers' ); ?></strong></p>
							<p align="center">
								<img role="img" class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/logo.png'); ?>"/>
							</p>
						</div>
					</div>
				</div>

			<div class="tab">
			  <button role="tab" class="tablinks" onclick="katib_writers_open(event, 'lite_theme')">Getting Started</button>		  
			  <button role="tab" class="tablinks" onclick="katib_writers_open(event, 'pro_theme')">Get Premium</button>
			</div>

			<!-- Tab content -->
			<div id="lite_theme" class="tabcontent open">
				<h2 class="tg-docs-section intruction-title" id="section-4" align="center"><?php esc_html_e( '1). Katib Writers Lite Theme', 'katib-writers' ); ?></h2>
				<div class="row">
					<div class="col-md-5">
						<div class="pad-box">
	              			<img role="img" class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/screenshot.png'); ?>"/>
	              		 </div> 
					</div>
					<div class="theme-instruction-block col-md-7">
						<div class="pad-box">
		                    <div class="table-image">
								<table class="tablebox">
									<thead>
										<tr>
											<th><?php esc_html_e('Setup', 'katib-writers'); ?></th>
											<th><?php esc_html_e('Click Here', 'katib-writers'); ?></th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td><?php esc_html_e('Logo', 'katib-writers'); ?></td>
											<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Click', 'katib-writers'); ?></a></td>
										</tr>
									</tbody>
									<tbody>
										<tr>
											<td><?php esc_html_e('Menus', 'katib-writers'); ?></td>
											<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Click', 'katib-writers'); ?></a></td>
										</tr>
									</tbody>
									<tbody>
										<tr>
											<td><?php esc_html_e('Slider', 'katib-writers'); ?></td>
											<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=katib_writers_banner') ); ?>" target="_blank"><?php esc_html_e('Click', 'katib-writers'); ?></a></td>
										</tr>
									</tbody>
									<tbody>
										<tr>
											<td><?php esc_html_e('Post Settings', 'katib-writers'); ?></td>
											<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=katib_writers_blog_post') ); ?>" target="_blank"><?php esc_html_e('Click', 'katib-writers'); ?></a></td>
										</tr>
									</tbody>
									<tbody>
										<tr>
											<td><?php esc_html_e('Footer', 'katib-writers'); ?></td>
											<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=katib_writers_footer') ); ?>" target="_blank"><?php esc_html_e('Click', 'katib-writers'); ?></a></td>
										</tr>
									</tbody>
								</table>
							</div>
							<ol>
								<li><?php esc_html_e( 'Start','katib-writers'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','katib-writers'); ?></a> <?php esc_html_e( 'your website.','katib-writers'); ?> </li>
								<li><?php esc_html_e( 'Katib Writers','katib-writers'); ?> <a target="_blank" href="<?php echo esc_url( KATIB_WRITERS_FREE_DOC ); ?>"><?php esc_html_e( 'Documentation','katib-writers'); ?></a> </li>
							</ol>
	                    </div>
	                </div>
				</div><br><br>
				
	        </div>
	        <div id="pro_theme" class="tabcontent">
				<h2 class="dashboard-install-title" align="center"><?php esc_html_e( '2.) Premium Theme Information.','katib-writers'); ?></h2>
            	<div class="row">
					<div class="col-md-7">
						<img role="img" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/responsive.png'); ?>" alt="">
						<div class="pro-links" >
					    	<a href="<?php echo esc_url( KATIB_WRITERS_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'katib-writers'); ?></a>
							<a href="<?php echo esc_url( KATIB_WRITERS_BUY_PRO ); ?>"><?php esc_html_e('Buy Pro', 'katib-writers'); ?></a>
							<a href="<?php echo esc_url( KATIB_WRITERS_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'katib-writers'); ?></a>
						</div>
						<div class="pad-box">
							<h3><?php esc_html_e( 'Pro Theme Description','katib-writers'); ?></h3>
                    		<p class="pad-box-p"><?php esc_html_e( 'This WordPress theme for writers gives you great opportunity to engage visitors in your content with its sleek and clutter-free design. This theme is loaded with all the necessary features that yield a high quality website which requires minimum efforts for its handling. It is cleverly designed to make content hero and rest of the things will take back seat. Its typography is thoughtfully decided with proper line spacing, correct line lengths and other measures taken to ensure convenient reading and appealing content. Create stunning inner pages according to your needs in seconds without writing a single line of code through its themes option panel. Additionally, almost all components of this WordPress theme for writers are customizable to give website the hint of your personality and make it represent your thoughts. It is integrated with WooCommerce, WPML and Contact Form 7 plugin along with great compatibility with third party plugins to include specific functionality.', 'katib-writers' ); ?><p>
                    	</div>
					</div>
					<div class="col-md-5 install-plugin-right">
						<div class="pad-box">								
							<h3><?php esc_html_e( 'Pro Theme Features','katib-writers'); ?></h3>
							<div class="dashboard-install-benefit">
								<ul>
									<li><?php esc_html_e( 'Easy install 10 minute setup Themes','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Multiplue Domain Usage','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Premium Technical Support','katib-writers'); ?></li>
									<li><?php esc_html_e( 'FREE Shortcodes','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Multiple page templates','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Google Font Integration','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Customizable Colors','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Theme customizer ','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Documention','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Unlimited Color Option','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Plugin Compatible','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Social Media Integration','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Incredible Support','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Eye Appealing Design','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Simple To Install','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Fully Responsive ','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Translation Ready','katib-writers'); ?></li>
									<li><?php esc_html_e( 'Custom Page Templates ','katib-writers'); ?></li>
									<li><?php esc_html_e( 'WooCommerce Integration','katib-writers'); ?></li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
          	<div class="dashboard__blocks">
				<div class="row">
					<div class="col-md-3">
						<h3><?php esc_html_e( 'Get Support','katib-writers'); ?></h3>
						<ol>
							<li><a target="_blank" href="<?php echo esc_url( KATIB_WRITERS_FREE_SUPPORT ); ?>"><?php esc_html_e( 'Free Theme Support','katib-writers'); ?></a></li>
							<li><a target="_blank" href="<?php echo esc_url( KATIB_WRITERS_PRO_SUPPORT ); ?>"><?php esc_html_e( 'Premium Theme Support','katib-writers'); ?></a></li>
						</ol>
					</div>

					<div class="col-md-3">
						<h3><?php esc_html_e( 'Getting Started','katib-writers'); ?></h3>
						<ol>
							<li><?php esc_html_e( 'Start','katib-writers'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','katib-writers'); ?></a> <?php esc_html_e( 'your website.','katib-writers'); ?> </li>
						</ol>
					</div>
					<div class="col-md-3">
						<h3><?php esc_html_e( 'Buy Premium','katib-writers'); ?></h3>
						<ol>
							<li><a href="<?php echo esc_url( KATIB_WRITERS_BUY_PRO ); ?>"><?php esc_html_e('Buy Pro', 'katib-writers'); ?></a></li>
						</ol>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php
}?>